require_relative 'player'

module StudioGame
  class BeserkPlayer < Player

    def initialize(name, health=100)
      super(name, health)
      @times_w00ted = 0
    end

    def beserk?
      @times_w00ted > 5
    end

    def w00t
      super
      @times_w00ted += 1
      puts "#{@name} is beserk!" if beserk?
    end

    def blam
      beserk? ? w00t : super
    end
  end


  if __FILE__ == $0
    beserk = BeserkPlayer.new("beserk", 105)
    6.times {beserk.w00t}
    2.times {beserk.blam}
    puts beserk.health
  end
end
